curl --request POST \
--url https://api.leadsforge.ai/public/v1/lookalikes/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"salesforge.ai"
],
"page": 1,
"pageSize": 25,
"categories": [
"b2b",
"saas"
],
"employeeRanges": [
"11-50",
"51-200"
],
"fundingStages": [
"seed",
"series_a"
],
"locations": [
{
"id": "US",
"type": "country"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['salesforge.ai'],
page: 1,
pageSize: 25,
categories: ['b2b', 'saas'],
employeeRanges: ['11-50', '51-200'],
fundingStages: ['seed', 'series_a'],
locations: [{id: 'US', type: 'country'}]
})
};
fetch('https://api.leadsforge.ai/public/v1/lookalikes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['salesforge.ai'],
page: 1,
pageSize: 25,
categories: ['b2b', 'saas'],
employeeRanges: ['11-50', '51-200'],
fundingStages: ['seed', 'series_a'],
locations: [{id: 'US', type: 'country'}]
})
};
fetch('https://api.leadsforge.ai/public/v1/lookalikes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.leadsforge.ai/public/v1/lookalikes/search';
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['salesforge.ai'],
page: 1,
pageSize: 25,
categories: ['b2b', 'saas'],
employeeRanges: ['11-50', '51-200'],
fundingStages: ['seed', 'series_a'],
locations: [{id: 'US', type: 'country'}]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.leadsforge.ai/public/v1/lookalikes/search"
payload = {
"domains": ["salesforge.ai"],
"page": 1,
"pageSize": 25,
"categories": ["b2b", "saas"],
"employeeRanges": ["11-50", "51-200"],
"fundingStages": ["seed", "series_a"],
"locations": [
{
"id": "US",
"type": "country"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadsforge.ai/public/v1/lookalikes/search"
payload := strings.NewReader("{\n \"domains\": [\n \"salesforge.ai\"\n ],\n \"page\": 1,\n \"pageSize\": 25,\n \"categories\": [\n \"b2b\",\n \"saas\"\n ],\n \"employeeRanges\": [\n \"11-50\",\n \"51-200\"\n ],\n \"fundingStages\": [\n \"seed\",\n \"series_a\"\n ],\n \"locations\": [\n {\n \"id\": \"US\",\n \"type\": \"country\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.leadsforge.ai/public/v1/lookalikes/search")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"domains\": [\n \"salesforge.ai\"\n ],\n \"page\": 1,\n \"pageSize\": 25,\n \"categories\": [\n \"b2b\",\n \"saas\"\n ],\n \"employeeRanges\": [\n \"11-50\",\n \"51-200\"\n ],\n \"fundingStages\": [\n \"seed\",\n \"series_a\"\n ],\n \"locations\": [\n {\n \"id\": \"US\",\n \"type\": \"country\"\n }\n ]\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.leadsforge.ai/public/v1/lookalikes/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"domains\": [\n \"salesforge.ai\"\n ],\n \"page\": 1,\n \"pageSize\": 25,\n \"categories\": [\n \"b2b\",\n \"saas\"\n ],\n \"employeeRanges\": [\n \"11-50\",\n \"51-200\"\n ],\n \"fundingStages\": [\n \"seed\",\n \"series_a\"\n ],\n \"locations\": [\n {\n \"id\": \"US\",\n \"type\": \"country\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadsforge.ai/public/v1/lookalikes/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domains' => [
'salesforge.ai'
],
'page' => 1,
'pageSize' => 25,
'categories' => [
'b2b',
'saas'
],
'employeeRanges' => [
'11-50',
'51-200'
],
'fundingStages' => [
'seed',
'series_a'
],
'locations' => [
[
'id' => 'US',
'type' => 'country'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.leadsforge.ai/public/v1/lookalikes/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domains\": [\n \"salesforge.ai\"\n ],\n \"page\": 1,\n \"pageSize\": 25,\n \"categories\": [\n \"b2b\",\n \"saas\"\n ],\n \"employeeRanges\": [\n \"11-50\",\n \"51-200\"\n ],\n \"fundingStages\": [\n \"seed\",\n \"series_a\"\n ],\n \"locations\": [\n {\n \"id\": \"US\",\n \"type\": \"country\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"companies": [
{
"description": "<string>",
"domain": "<string>",
"industry": "<string>",
"keywords": [
"<string>"
],
"logo": "<string>",
"name": "<string>",
"website": "<string>"
}
],
"page": 123,
"totalCount": 123,
"totalPages": 123
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Search lookalike companies
Synchronous. Returns companies similar to the given domains (1-10), one page at a time (page from 1 and pageSize 1-100, both required), filtered by locations, employee ranges, funding stages and categories.
Consumes credits: your account’s lookalike price per company returned. The request reserves the price for a full page and charges only the companies actually returned; the rest is released. Use POST /lookalikes/preview to tune filters first; previews are free up to a monthly allowance, then each costs a fixed price per call.
To find and enrich people at these companies, pass a returned company domain into POST /search companyDomains.include to get personIDs, then send those to the /enrichment endpoints.
Idempotency-Key: keys are remembered for 10 minutes per account. Within that window a retried request with the same key returns the original result without charging again, whatever its body as long as it is valid, and a retry while the first request is still running returns 409; after it, a retry is a new, charged request. Use a new key for each distinct request, including each page. A request that fails frees its key.
curl --request POST \
--url https://api.leadsforge.ai/public/v1/lookalikes/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"salesforge.ai"
],
"page": 1,
"pageSize": 25,
"categories": [
"b2b",
"saas"
],
"employeeRanges": [
"11-50",
"51-200"
],
"fundingStages": [
"seed",
"series_a"
],
"locations": [
{
"id": "US",
"type": "country"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['salesforge.ai'],
page: 1,
pageSize: 25,
categories: ['b2b', 'saas'],
employeeRanges: ['11-50', '51-200'],
fundingStages: ['seed', 'series_a'],
locations: [{id: 'US', type: 'country'}]
})
};
fetch('https://api.leadsforge.ai/public/v1/lookalikes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['salesforge.ai'],
page: 1,
pageSize: 25,
categories: ['b2b', 'saas'],
employeeRanges: ['11-50', '51-200'],
fundingStages: ['seed', 'series_a'],
locations: [{id: 'US', type: 'country'}]
})
};
fetch('https://api.leadsforge.ai/public/v1/lookalikes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.leadsforge.ai/public/v1/lookalikes/search';
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['salesforge.ai'],
page: 1,
pageSize: 25,
categories: ['b2b', 'saas'],
employeeRanges: ['11-50', '51-200'],
fundingStages: ['seed', 'series_a'],
locations: [{id: 'US', type: 'country'}]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.leadsforge.ai/public/v1/lookalikes/search"
payload = {
"domains": ["salesforge.ai"],
"page": 1,
"pageSize": 25,
"categories": ["b2b", "saas"],
"employeeRanges": ["11-50", "51-200"],
"fundingStages": ["seed", "series_a"],
"locations": [
{
"id": "US",
"type": "country"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadsforge.ai/public/v1/lookalikes/search"
payload := strings.NewReader("{\n \"domains\": [\n \"salesforge.ai\"\n ],\n \"page\": 1,\n \"pageSize\": 25,\n \"categories\": [\n \"b2b\",\n \"saas\"\n ],\n \"employeeRanges\": [\n \"11-50\",\n \"51-200\"\n ],\n \"fundingStages\": [\n \"seed\",\n \"series_a\"\n ],\n \"locations\": [\n {\n \"id\": \"US\",\n \"type\": \"country\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.leadsforge.ai/public/v1/lookalikes/search")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"domains\": [\n \"salesforge.ai\"\n ],\n \"page\": 1,\n \"pageSize\": 25,\n \"categories\": [\n \"b2b\",\n \"saas\"\n ],\n \"employeeRanges\": [\n \"11-50\",\n \"51-200\"\n ],\n \"fundingStages\": [\n \"seed\",\n \"series_a\"\n ],\n \"locations\": [\n {\n \"id\": \"US\",\n \"type\": \"country\"\n }\n ]\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.leadsforge.ai/public/v1/lookalikes/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"domains\": [\n \"salesforge.ai\"\n ],\n \"page\": 1,\n \"pageSize\": 25,\n \"categories\": [\n \"b2b\",\n \"saas\"\n ],\n \"employeeRanges\": [\n \"11-50\",\n \"51-200\"\n ],\n \"fundingStages\": [\n \"seed\",\n \"series_a\"\n ],\n \"locations\": [\n {\n \"id\": \"US\",\n \"type\": \"country\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadsforge.ai/public/v1/lookalikes/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domains' => [
'salesforge.ai'
],
'page' => 1,
'pageSize' => 25,
'categories' => [
'b2b',
'saas'
],
'employeeRanges' => [
'11-50',
'51-200'
],
'fundingStages' => [
'seed',
'series_a'
],
'locations' => [
[
'id' => 'US',
'type' => 'country'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.leadsforge.ai/public/v1/lookalikes/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domains\": [\n \"salesforge.ai\"\n ],\n \"page\": 1,\n \"pageSize\": 25,\n \"categories\": [\n \"b2b\",\n \"saas\"\n ],\n \"employeeRanges\": [\n \"11-50\",\n \"51-200\"\n ],\n \"fundingStages\": [\n \"seed\",\n \"series_a\"\n ],\n \"locations\": [\n {\n \"id\": \"US\",\n \"type\": \"country\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"companies": [
{
"description": "<string>",
"domain": "<string>",
"industry": "<string>",
"keywords": [
"<string>"
],
"logo": "<string>",
"name": "<string>",
"website": "<string>"
}
],
"page": 123,
"totalCount": 123,
"totalPages": 123
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Authorizations
Headers
Body
Search request
Search request
Was this page helpful?
